%define version 2.4.2
%define _bindir /bin
%define release 9mdk
%define url ftp://ftp.gnu.org/pub/gnu/grep

Summary: The GNU versions of grep pattern matching utilities.
Name: grep
Version: %{version}
Release: %{release}
License: GPL
Group: File tools
Source: %{url}/grep-%{version}.tar.bz2
# Chinese locale
Source10: grep-zh_TW.po.bz2
Source11: grep-zh_CN.GB2312.po.bz2
# i18n.
Patch10: http://oss.software.ibm.com/developer/opensource/linux/patches/i18n/grep-2.4.2-i18n-0.9.patch.bz2
Patch11: grep-2.4.2-i18n.patch.bz2
Prereq: /sbin/install-info
Buildroot: %{_tmppath}/%{name}-root

%description
The GNU versions of commonly used grep utilities.  Grep searches one or
more input files for lines which contain a match to a specified pattern
and then prints the matching lines.  GNU's grep utilities include grep,
egrep and fgrep.  

You should install grep on your system, because it is a very useful utility
for searching through text files, for system administration tasks, etc.

%prep
%setup -q
# i18n.
%patch10 -p1 -b .i18n
%patch11 -p1 -b .i18n-2

%build
%configure --exec-prefix=/
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%_datadir/locale/{zh_TW.Big5,zh_CN.GB2312}/LC_MESSAGES

bzip2 -dc %SOURCE10 > grep-zh_TW.po 
msgfmt grep-zh_TW.po -o $RPM_BUILD_ROOT%{_datadir}/locale/zh_TW.Big5/LC_MESSAGES/%name.mo

bzip2 -dc %SOURCE11 > grep-zh_CN.po
msgfmt grep-zh_CN.po -o $RPM_BUILD_ROOT%{_datadir}/locale/zh_CN.GB2312/LC_MESSAGES/%name.mo

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS THANKS TODO NEWS README ChangeLog
/bin/*
%{_infodir}/*.info*
%{_mandir}/*/*

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%changelog
* Wed Sep 12 2001 Warly <warly@mandrakesoft.com> 2.4.2-9mdk
- change distribution tag

* Sun May 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.2-8mdk
- Fix the Chinese locale msgfmt problem with gettext (Abel Cheung).

* Tue May 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.2-7mdk
- Add yet another i18n patch.
- We have programs with the Chinese po files. Comment that out for the time
  being (too lazy to fix).

* Sun Jan 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.2-6mdk
- put in Chinese translations.

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-5mdk
- Fix %post/%postun (thanks flepied).

* Mon Sep 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-4mdk
- Add patch to get the i18n like the old behavior (rh).

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 2.4.2-3mdk
- use find_lang

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-2mdk
- BM.
- Macros.
- CLean-up.

* Thu Mar 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-1mdk
- Clean up specs.
- Adjust groups.
- 2.4.2.

* Tue Mar  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-1mdk
- 2.4.1.

* Fri Dec  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- adjust URL.
- 2.4.

* Tue Nov 02 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Prereq install-info.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.
- Fix buid as user.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to grep 2.3, added install-info %post/%preun for info

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.0 to 2.1
- spec file cleanups
- added BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
